DtMmdbLocatorGetSectionLoc(library call)

NAME
DtMmdbLocatorGetSectionLoc — obtains the locator of a section

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbLocatorGetSectionLoc(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbLocatorGetSectionLoc function returns the locator of the section that contains the specified component. Do not use the free function on the returned pointer. Table lookup is involved because the component identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the identifier of a component within the section in the locator_ptr field.

RETURN VALUE

If DtMmdbLocatorGetSectionLoc completes successfully, it returns a pointer to the section locator. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbLocatorGetSectionLoc call might be coded.

DtMmdbInfoRequest request;
/* fill the request */
DtMmdbLocatorGetSectionLoc(&&request);

SEE ALSO

TO BE SUPPLIED